(function(){
    angular.module('ctfApp').controller('TasksController', ['$scope', '$http', 'APIProvider', 'AppSettings', function($scope, $http, APIProvider, AppSettings) {
        $scope.apiAddress = AppSettings.apiAddress;
        APIProvider.getTasks(function(data){
            console.log(data);
            $scope.tasks = data;
        });
    }]);
})();